libzypp 17.37.10

zypp::Option< Tp > Struct Template Reference

Mutable option. More...

Inheritance diagram for zypp::Option< Tp >:

## Public Types
using | value_type = Tp

## Public Member Functions
| Option (value_type initial_r)
| No default ctor, explicit initialisation!
Option & | operator= (value_type newval_r)
const value_type & | get () const
| Get the value.
| operator const value_type & () const
| Autoconversion to value_type.
void | set (value_type newval_r)
| Set a new value.

## Private Attributes
value_type | _val

## Detailed Description

template<class Tp>
struct zypp::Option< Tp >

Mutable option.

Definition at line 327 of file ZConfig.cc.

## Member Typedef Documentation

## ◆ value_type

template<class Tp>

using zypp::Option< Tp >::value_type = Tp

Definition at line 329 of file ZConfig.cc.

## Constructor & Destructor Documentation

## ◆ Option()

template<class Tp>

zypp::Option< Tp >::Option | ( | value_type | initial_r | ) |
| inline

No default ctor, explicit initialisation!

Definition at line 332 of file ZConfig.cc.

## Member Function Documentation

## ◆ operator=()

template<class Tp>

Option & zypp::Option< Tp >::operator= | ( | value_type | newval_r | ) |
| inline

Definition at line 336 of file ZConfig.cc.

## ◆ get()

template<class Tp>

const value_type & zypp::Option< Tp >::get | ( |  | ) | const
| inline

Get the value.

Definition at line 340 of file ZConfig.cc.

## ◆ operator const value_type &()

template<class Tp>

zypp::Option< Tp >::operator const value_type & | ( |  | ) | const
| inline

Autoconversion to value_type.

Definition at line 344 of file ZConfig.cc.

## ◆ set()

template<class Tp>

void zypp::Option< Tp >::set | ( | value_type | newval_r | ) |
| inline

Set a new value.

Definition at line 348 of file ZConfig.cc.

## Member Data Documentation

## ◆ _val

template<class Tp>

value_type zypp::Option< Tp >::_val
| private

Definition at line 352 of file ZConfig.cc.

The documentation for this struct was generated from the following file:

- zypp/ZConfig.cc